Subject: Linux-Admin Digest #30
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Tue, 6 Sep 94 13:13:43 EDT

Linux-Admin Digest #30, Volume #2                 Tue, 6 Sep 94 13:13:43 EDT

Contents:
  Re: HORRIBLE SWAP THRASHING BUG (memory prob?) (Russell Leighton)
  Linux T-Shirts. Get your order in NOW! :) (Jean-Paul Chia)
  Re: colors with DJ 550C ?? (Wolfgang R. Mueller)
  Re: .bashrc does not exec... (Greg Cisko)
  Re: PPPD permissions (Andrew R. Tefft)
  Re: [Q] routed problems (Andrew R. Tefft)
  Re: UID 0 Passwd blues (Andrew R. Tefft)
  Re: about wtmp (Herbert Xu)
  Re: open an x-window with login: prompt (Dan Wold)
  virtual memory exhausted error (Paul Julie)
  KEYLOCK on Boot, xconsole problems (sharpe randall k)
  /etc/issue and incoming telnet (Balam Willemsen)
  Re: Whats the best _CHEAP_ ISA video card for Linux/Xfree? (John Lellis)
  Re: Admin utils for linux ? (Harald Milz)

----------------------------------------------------------------------------

From: [email-masked] (Russell Leighton)
Crossposted-To: comp.os.linux.development
Subject: Re: HORRIBLE SWAP THRASHING BUG (memory prob?)
Date: 6 Sep 1994 08:49:20 -0400

Thanks to all that have responded to my message. A number
of people have run "thrash.c" with no problems, all of these
are running 1.1.49. Perhaps that is the answer. I will upgrade
(from 1.1.48) and see. More later.

Russ

-- 
        Russell Leighton     
        Taylor Computing   
        [email-masked]  [email-masked] 
        http://taylor.digex.net  http://www.digex.net/~rrl/Welcome.html

------------------------------

From: [email-masked] (Jean-Paul Chia)
Crossposted-To: comp.os.linux.development,comp.os.linux.help,comp.os.linux.misc
Subject: Linux T-Shirts. Get your order in NOW! :)
Date: 6 Sep 1994 21:07:35 +0800

Hello..
I've decided to add the "Linux Inside" and the "LINUX.. The choice of a GNU 
generation" T-Shirts, since they are so popular. Please don't mail me any
payment, be it Visa numbers, or Cheques, money orders, etc, yet. I will
mail you when the T-Shirts are printed, and then get the details, before
I send them. 

"Linux! Not UNIX!" T-Shirts are either, Black on White, Navy Blue on White, 
or White on Black, Long or Short Sleeved T-Shirts. "Linux! Not UNIX!" is
written on the back of the shirt, and on the front left corner a neat litle
"Linux." is printed.

"Linux Inside" T-Shirts have the "Linux Inside" Logo, by Rick Lyons, printed
on either Long or Short sleeved. White T-Shirts. I will only print a limited
amount of these T-Shirts, so please get your order in now.

"Linux.. The Choice of a GNU Generation" T-Shirts have the slogan printed in
Black across the back of a Long or Short sleeved, white, T-Shirt. With  
"Linux." printed on the front.

Thank you.
- JP

==============================================================================
Please Complete and Email to: [email-masked]
or Fax to +61-9-447-4098 or if you have to.. Mail it to: 
Linux T-Shirts
12 Guinevere Way
Carine WA 6020
Australia
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

Name:

Email Address(es):

Mailling Address:

Phone Number or Fax Number:

                |                Size             | S/L | Quantity | Total |
================| Small | Medium | Large | XLarge |=====|==========|=======|
Linux! Not UNIX |       |        |       |        |     |          |       |
          US$12 |       |        |       |        |     |          |       |
 Black on White |       |        |       |        |     |          |       |
===========================================================================|
Linux! Not UNIX |       |        |       |        |     |          |       |
          US$15 |       |        |       |        |     |          |       |
 Blue on White  |       |        |       |        |     |          |       |
===========================================================================|
Linux! Not UNIX |       |        |       |        |     |          |       |
          US$15 |       |        |       |        |     |          |       |
 White on Black |       |        |       |        |     |          |       |
===========================================================================|
 GNU Linux.. *  |       |        |       |        |     |          |       |
          US$15 |       |        |       |        |     |          |       |
 Black on White |       |        |       |        |     |          |       |
===========================================================================|
  Linux Inside! |       |        |       |        |     |          |       |
          US$18 |       |        |       |        |     |          |       |
 Logo on White  |       |        |       |        |     |          |       |
===========================================================================|
 * Linux: The choice of a GNU generation

Postage within Australia and USA - Express       (2-4 days) US$20  _________
                                 - Airmail  (within 7 days) US$15  _________
                                 - Economy Air  (7-10 days) US$7   _________
                                 - Sea Mail                 US$2   _________

Postage outside USA and Australia - Express                 US$30  _________
                                  - Airmail                 US$18  _________
                                  - Economy Air             US$10  _________
                                  - Sea Mail                US$5   _________

                                                      TOTAL: _______________

For Credit Cards, I need your Name, Address, Phone number, and the Name of
the on the card, the card type, the card number, and expiry date.

If you wish to send a Cheque in US$, or a Money Order again in $US
Dollars, then please make it out to: Jean-Paul Chia
                                     12 Guinevere Way,
                                     Carine Western Australia 6020,
                                     Australia
And please send it as soon as possible, because international mail is
slow, and I need the money before I can print the shirts.

I do not advise sending cash in the mail. Unless you _have_ to, then
please don't, and I will not take any responsibility if the money is
stolen by Australia Post, or the local Post man. :)

Quantity discount for orders for more than 5 T-Shirts, US$2 off the price
of every T-Shirt.

Visa Card Details (Please mail to [email-masked]),
* All Orders shipped OVERSEAS require pre-payment

Account Number:                                          Expiration Date:

Name on Card:

Your Name:

Your Address:

Your Phone Number:

===========================================================================

Thank you.
- JP

--      
        Jean-Paul Chia                      TheWiz @ IRC
        Drasnian Technologies,  Perth, Western Australia
        PH +61-9-447-6261             FAX +61-9-447-4098
        [email-masked], [email-masked]

------------------------------

From: [email-masked] (Wolfgang R. Mueller)
Subject: Re: colors with DJ 550C ??
Date: Tue, 6 Sep 1994 13:45:37 GMT

In article <1994Sep5.171604.43991@yogi> [email-masked] writes:
>is there anybody who got a HP Deskjet 550C to work with colors ?
Archie will find for you some locations of  dvidjc .
Wolfgang R. Mueller <[email-masked]>,
Computing Centre, Heinrich-Heine-University, Duesseldorf, Germany.

------------------------------

From: [email-masked] (Greg Cisko)
Subject: Re: .bashrc does not exec...
Date: 6 Sep 1994 13:57:26 GMT
Reply-To: [email-masked]

In article [email-masked], [email-masked] (Daniel Quinlan) writes:
> 
> Greg Cisko <[email-masked]> writes:
> 
> > Since this works fine on my SUN, I am assuming that this is linux
> > specific.  Anyone know why my .bashrc does not run when I login??? I
> > thought that if you had a .bashrc in your $HOME directory, it would
> > get executed? What file is supposed to look to see if there is a
> > .bashrc to run???
> 
> You'd think it was the end of the world... have you considered that

The end of the world, only in your mind...

> perhaps your Sun and your Linux machines have different versions of
> Bash or that your Sun and your Linux machines' copies of Bash were
> compiled with different options?

Of course I considered this. Unfortunately, I had to lower my standards 
by asking helpful people (like yourself) for advice.  

> 
> > And my alaises are not enabled either. Where does the system get
> > these defaults from? There isn't a HOW-TO describing this is
> > there???
> 
> May I recommend typing:
> 
>       $ man bash

Gee, I would have never thought of this either... I guess I'm learning
quite alot today.

> 
>       or
> 
>       $ info bash
> 
> It works 9 out of 10 times for answering questions about Bash.
> 
> Until then, create a file called .bash_profile and put the following
> text into it.
> 
> ------- start of cut text -------
> source ~/.bashrc
> ------- end -------

Thank you. You were very helpful... BTW, do you work for SUN customer support???

> 
> -- 
> Daniel Quinlan        // [email-masked] // "Free software for the rest of us"
> 
> In the times of great chaos, and when evil demons ruled the lands, there was a
> great revolt.  Several warriors banded together and fought many creatures and
> tried to restore peace in the land.  Many great warriors died.  Unfortunately,
> all of them died a painful death, and their revolt was a failure.

------------------------------

From: [email-masked] (Andrew R. Tefft)
Subject: Re: PPPD permissions
Reply-To: [email-masked]
Date: Tue, 6 Sep 1994 13:32:38 GMT

In article [email-masked], [email-masked] (Gregory Trubetskoy) writes:
>What should I do to make this permitted? Somewhere in the README's it sais 
>that pppd should be run by root - but how, then, I set up a ppp login 
>without making the ppp user a root equivalent?

Most of us make pppd setuid root, and readable & executable only by group and
owner; make the group something like 'ppp' and add to it users who
you trust to run pppd, including the dialin account that you have set up.

If you need step-by-step instructions on how to do that, I suggest
checking out a beginning unix book because you will learn much more
than a cookbook answer.

---

Andy Tefft               - new, expanded .sig -     [email-masked]

------------------------------

From: [email-masked] (Andrew R. Tefft)
Subject: Re: [Q] routed problems
Reply-To: [email-masked]
Date: Tue, 6 Sep 1994 13:34:49 GMT

In article [email-masked], [email-masked] writes:
>I have been unable to get routed to work, try getting gated (from
>sunsite.unc.edu) and I think your problems will go away

I don't see the original article, but general advice for everyone is
that you normally do not need to run routed or gated at all if you
have only a single ethernet interface. Just define a static default route
to your router. 

Routed does have its uses, but it causes lots of problems and if you
don't really need to run it, don't!

---

Andy Tefft               - new, expanded .sig -     [email-masked]

------------------------------

From: [email-masked] (Andrew R. Tefft)
Subject: Re: UID 0 Passwd blues
Reply-To: [email-masked]
Date: Tue, 6 Sep 1994 13:41:47 GMT

In article [email-masked], [email-masked] (Kevin Lentin) writes:
>Anton de Wet ([email-masked]) wrote:
>> I ran accross an inconvenient ``feature'' of the passwd program yesterday.
>> On one of our Linux boxes we have 3 UID 0 users --- root and two others. 
>> Since initial setup a week ago, everything was working fine, but suddenly
>> the root password was invalid :-( After some investigation and experimenting
>> we found that one of the users had changed his password and that this changes
>> all the  UID 0 passwords to the same thing.
>
>Having multiple accounts with the same uid and different names are bound to
>cause trouble. Some programs may use other methods besides getuid() to
>figure out who you are. $LOGNAME. getlogin(), who knows what they might
>return.

But it is common practice and indeed recommended quite often. It
seems to me that the software is indeed broken.

>I presume the reason you are doing this is you want multiple root users
>with different passwords so you can revoke one's access at some time
>without the others having to change password. I can't see why this is
>necessary. Do your root users change so frequently that it's aproblem? Why
>not just have one root account and let the people all use 'su'?

Maybe it's not necessary for you; let's not question the motivation
of someone who clearly knows what he wants to accomplish :-). I suspect
that all people su to their individual uid 0 account, and yes separate
root passwords are quite a good idea when there are multiple root users,
whether they change frequently or not.

---

Andy Tefft               - new, expanded .sig -     [email-masked]

------------------------------

From: [email-masked] (Herbert Xu)
Subject: Re: about wtmp
Date: 6 Sep 1994 22:19:48 +1000

Daniel Tran ([email-masked]) wrote:
: In article <[email-masked]> XiaoFei Wang <[email-masked]> writes:

: >How do I use wtmp? It is a binary file. 
: >The only manual I have is 

: Try who wtmp

It should be "who /var/adm/wtmp".
-- 
A.  B <=> True                  B.  A <=> False
Email:  Herbert Xu ~{PmV>HI~} <[email-masked]>
PGP Key:  [email-masked] or any other key sites

------------------------------

From: [email-masked] (Dan Wold)
Subject: Re: open an x-window with login: prompt
Date: 6 Sep 1994 11:50:47 -0400

XiaoFei Wang ([email-masked]) wrote:

: Hello, 

: suppose I startx and then open a window of someone else's 
: login, how should I do it? 

: Thanks.

You could start an xterm running the login program instead of your shell.

For instance:

"/usr/bin/X11/xterm -e /bin/login &"

Here's one that's easy on the eyes at 1024x768:

"/usr/bin/X11/xterm -bg LightYellow -fg DarkGreen -fn
        lucidasanstypewriter-bold-18 -e /bin/login &"

Hope this helps.

-Dan

-- 
[email-masked]
Daniel Wold                             239 City Island Ave, Bronx, NY, 10464
finger [email-masked]
Sysop: WORLD CITIZEN BBS  718-885-2346  14.4  24 hrs  FREE  Fidonet  BahaiNet

------------------------------

From: [email-masked] (Paul Julie)
Subject: virtual memory exhausted error
Date: Tue, 6 Sep 1994 14:42:42 GMT

--

Linux users:

I am a new user to Linux and enjoying it.  However,
being a new user I have a problem when I run X-windows 
in linux then bringing up 1 xterm for compiling.  

During compiling of X windows programmes:

I get this "virtual memory exhausted error"
from the system after using the gnu compiler.  

I have 8 Meg of RAM and a 12 MB swap space. That should be 
suffice to run at least 5-6 xterms.
Now I know that if I installed SCO ODT 2.0 on my machine
at home I would be able to bring up 1-2 xterms and that
would be the max.  I know that linux should be
able to handle alot more X terms because it a bit more
lean and mean.  Has anyone else ever encountered this 
problem

Could someone direct or help me,

System config:

- 486 33Mhz (DX)
- 8 Meg Ram
- 340 MB IDE drive
- 12 MB swap paritition.
- SlackWare 2.0

 Thanks for all of your patience and previous help:

===================================================
The Toronto Stock Exchange

Paul Julie - Applications Specialist

Telephone:      1-416-947-4569
E-mail:         [email-masked]  
===================================================

------------------------------

From: [email-masked] (sharpe randall k)
Crossposted-To: uiuc.sw.linux
Subject: KEYLOCK on Boot, xconsole problems
Date: 6 Sep 1994 15:28:05 GMT

I am have a couple of annoying troubles. I am running Slackware 2.0
with kernel 1.1.42. Here are my problems:

1 A while back in kernel compilation configureation, one could specify
whether to boot up with Numlocks on. I liked this since I could have
my BIOS default to no ( for DOS/my wife ) and have Linux boot with
it on (my preference). What ever happened to this feature ? Was it
dropped for some technical reason, or did somebody just not like it.
I would be willing to work on a patch to include this feature again
it someone would kindly give me some pointers as to where to look int
the kernel source tree for where to make the mods.

2 It seems xconsole is next to worthles. I cannot get it to pick up
the console messages coming to me on a psuedoterm. Hence, no error
messages, no talk announcements etc. The only thing I HAVE gotten to
work it echo Hello > /dev/console . I can't even get that with 
xterm -C. This is both with xdm and xinit(startx). Any clues on what/
how to fix this ? 

BTW I am still looking for the source to xconsole. I you know where it
is email me. I should find it in a day or so as I get the time.

------------------------------

From: [email-masked] (Balam Willemsen)
Subject: /etc/issue and incoming telnet
Date: 6 Sep 1994 11:49:35 -0400

This is probably a FAQ, but I didn't find the answer quickly
elsewhere...

I have a box (no not this one) which will go "on the net" soon, and I
want a message to appear before the login: prompt on incoming telnet
sessions. I was under the impression that /etc/issue was the appropriate
file, but it only affects the virtual consoles on the system not telnet
sessions from the net!?! /etc/motd is displayed only after the person
has already logged in, so it is useless for my purpose.

It's a brand new installation of Slackware 2.0 with only the a and n
series of disks loaded in case that makes a difference....

Balam
-- 
Balam A. Willemsen
Graduate Student, Physics Dept., Northeastern Univ., Boston, MA 02115
"What kind of world is this where blood flows faster than wine?" General Public

------------------------------

From: [email-masked] (John Lellis)
Crossposted-To: comp.os.linux.misc
Subject: Re: Whats the best _CHEAP_ ISA video card for Linux/Xfree?
Date: 6 Sep 1994 15:42:09 GMT

Dirk Eddelbuettel ([email-masked]) wrote:
: Very well that the ATI Mach32/Ultra/Ultra Pro are advocated for, but could
: someone give me hints for the best    performance/price    ratios ?

: My system is a 486DX-33, 16MB, ISA bus, 1024x768 interlaced 14'' SVGA 
: monitor so I am looking for an accelerated card that gives me 800x600 and 
: 1024x768 (but not more, no 2 MB cards needed) and that will be faster than 
: the 512 kB Oak Oti67 it will replace (this one sucks: TOTAL  3012.000000 
: xStones  reported by xbench).

: I am looking for something like
:       Orchid Fahrenheit                     140 USD       
:       STB Powergraph                        125 USD
:       STB Horizon                           95  USD    
:         cards with Cirrus Logic 5428 chips    price ? 
:       
: Comments, recommendations, flames, welcome under <[email-masked]>

My generic S3 801 VLB (US$ 85) gives me essentially the same performance as
the ATI Graphics Ultra Pro I use at work.  Fonts in X are a bit small on my
15" KFC monitor @1280x768 (really wish I had a 17" Viewsonic 7 like at work)
but in terms of bang for the buck I can't complain at all.

I'd look at spending the extra $$ for the second MB - mine cost me US$60 via
mail order and it's worth it to be able to run in the 1280x1024 resolution.

--

John Lellis ([email-masked])

--
... Our continuing mission: To seek out knowledge of C, to explore
strange UNIX commands, and to boldly code where no one has man page 4.

------------------------------

From: [email-masked] (Harald Milz)
Subject: Re: Admin utils for linux ?
Reply-To: [email-masked]
Date: Tue, 6 Sep 1994 14:48:22 GMT

In comp.os.linux.admin, Safuat Hamdy ([email-masked]) wrote:
> Mike Suzio ([email-masked]) wrote:

> : So would I.  I would *love* to do this kind of stuff.  I have very little
> : time to dink around with stuff, but I'd volunteer to help on a project like
> : this.  heck, i'd even be willing to learn IRC to do something like this
> : :-O

> OK, I notified this, anybody else out there? What about those mentionened
> by Harald M.?

I think if those of you willing to contribute would send mails to the 
guys mentioned in the Projects Map, we'd soon see something work. 

> : Pat Spinler ([email-masked])
> : Riccardo Facchetti ([email-masked])
> : Thomas Woerner ([email-masked])

-- 
If you had any brains, you'd be dangerous.
-- 
Harald Milz ([email-masked])      WWW: http://www.ix.de/editors/hm.html
iX Multiuser Multitasking Magazine      phone +49 (511) 53 52-377
Helstorfer Str. 7, D-30625 Hannover     fax   +49 (511) 53 52-378
Opinions stated herein are my own, not necessarily my employer's.

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.admin) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Admin Digest
******************************